Page MenuHomePhabricator

Show file annotations in MediaViewer
Open, Needs TriagePublic

Description

Commons supports image annotations, and there is an opt-in mechanism for other wikis to show them either in the article or the image details page. It would be nice if MediaViewer could support that (though maybe with a nicer interface).


See also: T108887: Nice UI for image annotations

Details

Reference
bz56666

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz56666.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.Nov 6 2013, 1:10 PM

aalekh1993 wrote:

Can i simply use comment passed as ex:[[image:test.png|left|thumb|50px|Comment]]
to be show in mediaviewer ....as annotations

Tgr added a comment.Jan 14 2014, 7:42 PM

Aalekh, I'm not sure what you mean by annotation. The caption will show up in the image information, but annotations are associated with some sub-area of the image, and there is no good way to specify that in a caption.

  • Bug 64951 has been marked as a duplicate of this bug. ***

Change 173627 had a related patch set uploaded by Gergő Tisza:
Parse annotations

https://gerrit.wikimedia.org/r/173627

Tgr updated the task description. (Show Details)
Tgr set Security to None.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 12 2015, 10:41 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:38 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Change 173627 had a related patch set uploaded (by Gergő Tisza):
Parse annotations

https://gerrit.wikimedia.org/r/173627

Jdlrobson changed the task status from Open to Stalled.Sep 29 2015, 10:35 PM
Jdlrobson added a subscriber: Jdlrobson.

I worry this might be unnecessarily complicating the extension. Just because we can doesn't mean we should...
What are the benefits of doing this and what are the risks? What does it enable? Can you give some examples of some concrete use cases?

More code means more maintenance and adding expectations around what the feature can do. "It would be nice" doesn't seem like a good motivation, let's understand this more before pushing ahead and merging the patch.

Tgr added a comment.Oct 5 2015, 11:01 PM

MediaViewer tries to support all the useful reader-facing functionality of file pages that's accessible in a structured form, and annotations are one major missing piece. The link in the task description documents a lot of existing use cases; I don't think those would be fundamentally changed just because we show them in a lightbox instead of on the file page.

Note that the patch is to CommonsMetadata and just exposes the annotations as (somewhat) structured data. The benefit to that, apart from making annotation support in MediaViewer possible, is performance - a few wikis show annotations on article thumbnails, and to do that they now request the file page of each thumbnail in AJAX and process it, which excruciatingly slow. The API can serve metadata for a large number of files in one request and it can do most of the parsing on server side, which is then cached.

In case the question about benefits was serious, I'll try an answer:

  • Raise the mediaviewer's level of encyclopedic value to bring it on par with the projects it serves.
  • Preserve the knowledge and work of many editors who have explained images via annotations.
  • Reduce editors' level of frustration with WMF.

Hmm, the line you refer to also continued with "Can you give some examples of some concrete use cases?" (emphasis by me).
The terms "encyclopedic value" and "on par" probably need elaboration to make them less subjective.
Knowledge is preserved (as it's not deleted). But it is currently not displayed and harder to find. And that's what this task is about.

High-level issues like "editors' frustration with WMF" won't change by fixing a bug report and should go to the appropriate mailing lists or wiki talk pages instead. Thanks! :)

Do I understand correctly that you're asking what is the concrete use of explaining image contents in an encyclopedia?

dr0ptp4kt closed this task as Resolved.
dr0ptp4kt lowered the priority of this task from Normal to Low.
dr0ptp4kt moved this task from To Triage to Needs Analysis on the Readers-Web-Backlog board.
dr0ptp4kt claimed this task.
Tgr added a comment.Jul 19 2016, 1:19 AM

@dr0ptp4kt was this closed intentionally?

@Tgr, I forget at this point. Should it be open? If so, please feel free to re-open.

Tgr reopened this task as Open.Jul 19 2016, 8:09 PM

Change 173627 abandoned by Gergő Tisza:
Parse annotations

Reason:
Thanks! No point in duplicating functionality then.

https://gerrit.wikimedia.org/r/173627

Jdforrester-WMF renamed this task from Show image annotations to Show file annotations in MediaViewer.Jul 21 2016, 9:11 PM
Jdforrester-WMF removed dr0ptp4kt as the assignee of this task.
Jdforrester-WMF edited subscribers, added: dr0ptp4kt; removed: wikibugs-l-list.

We won't be working on file annotations until we can store them in structured data, so this work is going to wait for a bit. You could work on this based on the current implementation of FileAnnotations, but I wouldn't recommend it, as the implementation will change.

MarkTraceur raised the priority of this task from Low to Needs Triage.